<h2></h2>

<nz-page-header nzBackIcon>
  <nz-page-header-title>
    {{ "Economy.Trade.Trades" | translate }}
  </nz-page-header-title>
  <nz-page-header-extra>
    <a href="https://wiki.vpopulus.net/en/Trades" target="_blank">
      <button nz-button nzShape="round" nz-tooltip nzTooltipTitle="Wiki" class="button-wiki">
        <span nz-icon nzType="info-circle" nzTheme="outline"></span>
      </button>
    </a>
  </nz-page-header-extra>
</nz-page-header>

<nz-table #tradesTable [nzData]="list" nzSize="small" [nzLoading]="isLoading">
  <thead>
    <tr>
      <th>{{ "Economy.Trade.Entity" | translate }}</th>
      <th nzAlign="center">{{ "Common.Type" | translate }}</th>
      <th nzAlign="center">{{ "Common.Extra.Support.Status" | translate }}</th>
      <th nzAlign="center">{{ "Economy.Trade.StartAt" | translate }} / {{ "Economy.Trade.FinishedAt" | translate }}</th>
      <th nzAlign="center"></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of tradesTable.data">
      <td>
        <a href="/{{ data.entity.type.toLowerCase() }}/{{ data.entity.id }}">{{
          data.entity.name
          }}</a>
      </td>
      <td nzAlign="center">
        <nz-tag nzColor="default" *ngIf="data.isInstant === true">{{ "Common.Buttons.Donate" | translate }}</nz-tag>
        <nz-tag nzColor="default" *ngIf="data.isInstant === false">{{ "Economy.Trade.Trad" | translate }}</nz-tag>
      </td>
      <td nzAlign="center">
        <nz-tag nzColor="processing" *ngIf="
            (data.isInstant === true &&
              data.fromAccepted === false &&
              data.toAccepted === false) ||
            (data.isInstant === false && data.fromAccepted === false) ||
            data.toAccepted === false
          ">{{ "Common.InProgress" | translate }}</nz-tag>
        <nz-tag nzColor="success" *ngIf="
            (data.isInstant === true &&
              (data.fromAccepted === true || data.toAccepted === true)) ||
            (data.isInstant === false &&
              data.fromAccepted === true &&
              data.toAccepted === true)
          ">{{ "Common.Finished" | translate }}</nz-tag>
      </td>
      <td nzAlign="center">
        {{ data.createdOn.replace('T', ' ').split('.')[0] }}
      </td>
      <td nzAlign="center">
        <a [routerLink]="['/trades', data.id]">
          <button nz-button nzShape="round" nzSize="small" nz-tooltip [nzTooltipTitle]="'Politics.Countries.Open' | translate">
            <i class="fas fa-external-link-alt"></i>
          </button>
        </a>
      </td>
    </tr>
  </tbody>
</nz-table>